<?php

class AanmeldformulierGegevensForm extends Form {
 
    public function __construct($controller, $name) {
        $fields = new FieldList(
			
			//(leerling)
			TextField::create("Achternaam")->setTitle('Achternaam'),
			TextField::create("Voornamen")->setTitle('Voornamen'),
			TextField::create("Roepnaam")->setTitle('Roepnaam'),
			OptionsetField::create("Geslacht")->setSource(array('Man'=> "Man", 'Vrouw' => "Vrouw"))->setValue('Vrouw')->setTitle('Geslacht'),
			DateField::create("Geboortedatum")->setConfig('dmyfield')->setConfig('showcalendar', true)->setTitle('Geboortedatum'),
			TextField::create("Geboorteplaats")->setTitle('Geboorteplaats'),
			TextField::create("Geboorteland")->setTitle('Geboorteland'),	
			TextField::create("Nationaliteit1")->setTitle('Nationaliteit 1'),
			TextField::create("Nationaliteit2")->setTitle('Nationaliteit 2'),
			DateField::create("InNederland")->setConfig('dmyfield')->setConfig('showcalendar', true)->setTitle('In Nederland sinds'),
			TextField::create("BSN")->setTitle('Burgerservicenummer'),
			DropdownField::create("Woontbij")->setSource(array( 'Default' => " ",'Ouders' => "Vader en Moeder", 'Vader/Moeder' => "Afwisselend bij Vader en Moeder", 'Vader' => "Vader", 'Moeder' => "Moeder", 'Voogd' => "Voogd(es)", 'Verzorger' => "Verzorg(st)er"))->setTitle('Woontbij'),
			TextField::create("Huisadres")->setTitle('Huisadres'),
			TextField::create("Postcode")->setTitle('Postcode'),
			TextField::create("Woonplaats")->setTitle('Woonplaats'),
			NumericField::create("Telefoonnummer")->setTitle("Telefoonnummer"),
			EmailField::create("EmailLeerling"),
			TextField::create("NaamPraktijk")->setTitle('Naam praktijk'),
			TextField::create("NaamHuisarts")->setTitle('Naam huisarts'),
			NumericField::create("TelefoonHuisarts")->setTitle('Telefoon huisarts'),
			//(leerling)
			
			//(Ouders)
			TextField::create("AchternaamVader")->setTitle('Achternaam'),
			TextField::create("VoornaamVader")->setTitle('Voornaam'),
			EmailField::create("EmailVader")->setTitle('E-mailadres'),
			NumericField::create("TelefoonVader")->setTitle('Telefoonnummer'),
			NumericField::create("MobielVader")->setTitle('Mobielnummer'),
			TextField::create("AchternaamMoeder")->setTitle('Achternaam'),
			TextField::create("VoornaamMoeder")->setTitle('Voornamen'),
			EmailField::create("EmailMoeder")->setTitle('E-mailadres'),
			NumericField::create("TelefoonMoeder")->setTitle('Telefoonnummer'),
			NumericField::create("MobielMoeder")->setTitle('Mobielnummer'),			
			NumericField::create("Rekeningnummer")->setTitle('Rekeningnummer'),
			TextField::create("Bank")->setTitle('Naam bank'),
			TextField::create("RekeningHouder1")->setTitle('Naam rekeninghouder'),
			TextField::create("RekeningHouder2")->setTitle('Naam rekeninghouder'),
			//(Ouders)
			
			//(vader/moeder)
			TextField::create("AchternaamVader1")->setTitle('Achternaam'),
			TextField::create("VoornaamVader1")->setTitle('Voornaam'),
			TextField::create("AdresVader1")->setTitle('Adres'),
			TextField::create("PostcodeVader1")->setTitle('Postcode'),
			TextField::create("WoonplaatsVader1")->setTitle('Woonplaats'),		
			EmailField::create("EmailVader1")->setTitle('E-mailadres'),
			NumericField::create("TelefoonVader1")->setTitle('Telefoonnummer'),
			NumericField::create("MobielVader1")->setTitle('Mobielnummer'),
			TextField::create("AchternaamMoeder1")->setTitle('Achternaam'),
			TextField::create("VoornaamMoeder1")->setTitle('Voornamen'),
			TextField::create("AdresMoeder1")->setTitle('Adres'),
			TextField::create("PostcodeMoeder1")->setTitle('Postcode'),
			TextField::create("WoonplaatsMoeder1")->setTitle('Woonplaats'),	
			EmailField::create("EmailMoeder1")->setTitle('E-mailadres'),
			NumericField::create("TelefoonMoeder1")->setTitle('Telefoonnummer'),
			NumericField::create("MobielMoeder1")->setTitle('Mobielnummer'),			
			NumericField::create("Rekeningnummer1")->setTitle('Rekeningnummer'),
			TextField::create("Bank1")->setTitle('Naam bank'),
			TextField::create("RekeningHouder3")->setTitle('Naam rekeninghouder'),
			TextField::create("RekeningHouder4")->setTitle('Naam rekeninghouder'),
			//(vader/moeder)
			
			//(vader)
			TextField::create("AchternaamVader2")->setTitle('Achternaam'),
			TextField::create("VoornaamVader2")->setTitle('Voornaam'),
			EmailField::create("EmailVader2")->setTitle('E-mailadres'),
			NumericField::create("TelefoonVader2")->setTitle('Telefoonnummer'),
			NumericField::create("MobielVader2")->setTitle('Mobielnummer'),					
			TextField::create("AchternaamExtraPersoon")->setTitle('Achternaam'),
			TextField::create("VoornaamExtraPersoon")->setTitle('Voornamen'),
			TextField::create("AdresExtraPersoon")->setTitle('Adres'),
			TextField::create("PostcodeExtraPersoon")->setTitle('Postcode'),
			TextField::create("WoonplaatsExtraPersoon")->setTitle('Woonplaats'),			
			EmailField::create("EmailExtraPersoon")->setTitle('E-mailadres'),
			NumericField::create("TelefoonExtraPersoon")->setTitle('Telefoonnummer'),
			NumericField::create("MobielExtraPersoon")->setTitle('Mobielnummer'),			
			NumericField::create("Rekeningnummer2")->setTitle('Rekeningnummer'),
			TextField::create("Bank2")->setTitle('Naam bank'),
			TextField::create("RekeningHouder5")->setTitle('Naam rekeninghouder'),
			TextField::create("RekeningHouder6")->setTitle('Naam rekeninghouder'),
			//(vader)
			
			//(moeder)
			TextField::create("AchternaamMoeder2")->setTitle('Achternaam'),
			TextField::create("VoornaamMoeder2")->setTitle('Voornaam'),
			EmailField::create("EmailMoeder2")->setTitle('E-mailadres'),
			NumericField::create("TelefoonMoeder2")->setTitle('Telefoonnummer'),
			NumericField::create("MobielMoeder2")->setTitle('Mobielnummer'),						
			TextField::create("AchternaamExtraPersoon1")->setTitle('Achternaam'),
			TextField::create("VoornaamExtraPersoon1")->setTitle('Voornamen'),
			TextField::create("AdresExtraPersoon1")->setTitle('Adres'),
			TextField::create("PostcodeExtraPersoon1")->setTitle('Postcode'),
			TextField::create("WoonplaatsExtraPersoon1")->setTitle('Woonplaats'),			
			EmailField::create("EmailExtraPersoon1")->setTitle('E-mailadres'),
			NumericField::create("TelefoonExtraPersoon1")->setTitle('Telefoonnummer'),
			NumericField::create("MobielExtraPersoon1")->setTitle('Mobielnummer'),			
			NumericField::create("Rekeningnummer3")->setTitle('Rekeningnummer'),
			TextField::create("Bank3")->setTitle('Naam bank'),
			TextField::create("RekeningHouder7")->setTitle('Naam rekeninghouder'),
			TextField::create("RekeningHouder8")->setTitle('Naam rekeninghouder'),
			//(moeder)
			
			//(verzorger)
			TextField::create("AchternaamVerzorger")->setTitle('Achternaam'),
			TextField::create("VoornaamVerzorger")->setTitle('Voornaam'),
			EmailField::create("EmailVerzorger")->setTitle('E-mailadres'),
			NumericField::create("TelefoonVerzorger")->setTitle('Telefoonnummer'),
			NumericField::create("MobielVerzorger")->setTitle('Mobielnummer'),						
			TextField::create("AchternaamExtraPersoon2")->setTitle('Achternaam'),
			TextField::create("VoornaamExtraPersoon2")->setTitle('Voornamen'),
			TextField::create("AdresExtraPersoon2")->setTitle('Adres'),
			TextField::create("PostcodeExtraPersoon2")->setTitle('Postcode'),
			TextField::create("WoonplaatsExtraPersoon2")->setTitle('Woonplaats'),			
			EmailField::create("EmailExtraPersoon2")->setTitle('E-mailadres'),
			NumericField::create("TelefoonExtraPersoon2")->setTitle('Telefoonnummer'),
			NumericField::create("MobielExtraPersoon2")->setTitle('Mobielnummer'),			
			NumericField::create("Rekeningnummer4")->setTitle('Rekeningnummer'),
			TextField::create("Bank4")->setTitle('Naam bank'),
			TextField::create("RekeningHouder9")->setTitle('Naam rekeninghouder'),
			TextField::create("RekeningHouder10")->setTitle('Naam rekeninghouder'),			
			//(verzorger)
						
			//(voogd)
			TextField::create("AchternaamVoogd")->setTitle('Achternaam'),
			TextField::create("VoornaamVoogd")->setTitle('Voornaam'),
			EmailField::create("EmailVoogd")->setTitle('E-mailadres'),
			NumericField::create("TelefoonVoogd")->setTitle('Telefoonnummer'),
			NumericField::create("MobielVoogd")->setTitle('Mobielnummer'),					
			TextField::create("AchternaamExtraPersoon3")->setTitle('Achternaam'),
			TextField::create("VoornaamExtraPersoon3")->setTitle('Voornamen'),
			TextField::create("AdresExtraPersoon3")->setTitle('Adres'),
			TextField::create("PostcodeExtraPersoon3")->setTitle('Postcode'),
			TextField::create("WoonplaatsExtraPersoon3")->setTitle('Woonplaats'),			
			EmailField::create("EmailExtraPersoon3")->setTitle('E-mailadres'),
			NumericField::create("TelefoonExtraPersoon3")->setTitle('Telefoonnummer'),
			NumericField::create("MobielExtraPersoon3")->setTitle('Mobielnummer'),			
			NumericField::create("Rekeningnummer5")->setTitle('Rekeningnummer'),
			TextField::create("Bank5")->setTitle('Naam bank'),
			TextField::create("RekeningHouder11")->setTitle('Naam rekeninghouder'),
			TextField::create("RekeningHouder12")->setTitle('Naam rekeninghouder'),			
			//(voogd)
			
			//(aanmelding)
			DropdownField::create("AanmeldenVoor")->setSource(array( 'Default' => " ",'VMBO_bas' => "VMBO Basis", 'VMBO_kad' => "VMBO Kader", 'VMBO_kt' => "VMBO Kader/Theoretisch", 'VMBO_the' => "VMBO Theoretisch", 'VMBO_HAVO' => "VMBO/HAVO", 'HAVO' => "HAVO", 'HAVO_VWO' => "HAVO/VWO", 'Ath' => "Atheneum", 'Gym' => "Gymnasium"))->setTitle('Aanmelden voor'),
			DropdownField::create("Leerjaar")->setSource(array( 'Default' => " ", '1' => "1", '2' => "2", '3' => "3", '4' => "4", '5' => "5", '6' => "6"))->setTitle("Leerjaar"),
			DropdownField::create("Richtingen")->setSource(array( 'Default' => " ", 'Handel' => "Handel en administratie/recreatie en toerisme", 'Bouw' => 'Bouwtechniek', 'Metaal' => "Metaaltechniek", 'Techniek' => "Techniek", 'Voertuig' => "Voertuigtechniek", 'Zorg' => "Zorg en welzijn breed"))->setTitle("Richtingen"),
			DropdownField::create("Profielen")->setSource(array( 'Default'=> " ", 'Cultuur' => "Cultuur en maatschappij", 'Economie' => "Economie en maatschappij", 'NatuurG' => "Natuur en gezondheid", 'NatuurT' => "Natuur en techniek"))->setTitle("Profielen"),
			TextField::create("GewenstPakket")->setTitle('Gewenst pakket'),			
			//(aanmelding)
			
			//(basisschool)
			TextField::create("NaamBasisschool")->setTitle('Naam'),
			TextField::create("AdresBasisschool")->setTitle('Adres'),
			TextField::create("PostcodeBasisschool")->setTitle('Postcode'),
			TextField::create("WoonplaatsBasisschool")->setTitle('Woonplaats'),
			NumericField::create("TelefoonBasisschool")->setTitle('Telefoonnummer'),
			TextField::create("EmailBasisschool")->setTitle('Emailadres'),			
			TextField::create("NaamLeerkracht")->setTitle('Naam leerkracht groep 8'),
			DropdownField::create("AndersAangemeld")->setSource(array('Ja' => "Ja", 'Nee' => "Nee"))->setValue('Nee')->setTitle('Ergens anders aangemeld'),		
			TextField::create("WaarAangemeld")->setTitle('Naam andere school'),			
			//(basisschool)
			
			//(school)
			TextField::create("NaamSchool")->setTitle('Naam'),
			TextField::create("AdresSchool")->setTitle('Adres'),
			TextField::create("PostcodeSchool")->setTitle('Postcode'),
			TextField::create("WoonplaatsSchool")->setTitle('Woonplaats'),
			NumericField::create("TelefoonSchool")->setTitle('Telefoonnummer'),
			TextField::create("EmailSchool")->setTitle('Emailadres'),			
			TextField::create("NaamDirecteur")->setTitle('Naam directeur'),
			TextField::create("NaamMentor")->setTitle('Naam mentor'),
			TextField::create("LaatsteKlas")->setTitle('Laatst doorlopen klas'),
			TextField::create("LaatsteOpleiding")->setTitle('Laatst gevolgde opleiding'),
			DropdownField::create("BlijvenZitten")->setSource(array( 'Default' => " ", '1' => "1", '2' => "2", '3' => "3", '4' => "4", '5' => "5", '6' => "6"))->setTitle('Blijven zitten in klas'),
			DateField::create("DiplomaBehaald")->setConfig('dmyfield')->setConfig('showcalendar', true)->setTitle('Diploma behaald'),
			TextField::create("DiplomaOpleiding")->setTitle('Diploma beghaald voor opleiding')
			//(school) 

        );
			
        $actions = new FieldList(FormAction::create("Email")->setTitle("Verzenden"));
        //$actions = new FieldSet(new FormAction('AanmeldingMail', 'Send');		

		
        parent::__construct($controller, $name, $fields, $actions);
    }
     
    public function Email(array $data, Form $form) {
        // Authenticate the user and redirect the user somewhere
        Controller::curr()->redirectBack();
    }
	
}