<?php

class AanmeldingMail extends Email {

	protected
	$to = 'suzanneh@minkema.nl';
	$from = 's.vanderhoek@minkema.nl';
	$ss_template = 'AanmeldingMail';
	
}

class AanmeldingMail_Controler extends Email_Controller {

	$email = new Mail($from, $to, $subject, $body);
	$email->populateTemplate(Member::currentUser()); // This will populate the template, $to, $from etc variables if they exist
	$aanmelding = 'Bedankt voor uw aanmelding op '.date('Y-m-d'.'!');
	$email->populateTemplate(array('WelcomeMessage' => $aanmelding, // Accessible in template via $WelcomeMessage));	
	$email->send(); // Will immediately send an HTML email with appropriate plain-text content

}