<?php

class AanmeldForm extends Page {

	public static $db = array(
	// Maak hier een database veld aan. Vergeet de komma niet!
		'Van' => 'Text',
		'Onderwerp' => 'Text'
	);

	public function getCMSFields() {
		$fields = parent::getCMSFields();
		// Voeg hier het database veld toe aan het cms zodat deze gevuld en aangepast kan worden.
		// Voor een nieuw tabblad in het cms zet je achter Root.---- de nieuwe naam van het tabblad.
		// Met TextField maak een invoerveld van n regel aan, met TextareaField maak je een groot invoerveld aan voor meerdere regels.
		// Met UploadField maak je een mogelijkheid aan voor het uploaden van files en foto's vanaf je computer of uit het CMS.
		// Geef het invoerveld TextField('KlikHier1Text', '.....')); een label door op de puntjes een woord/zin te zetten.
		
		$fields->addFieldToTab('Root.Email', new TextField('Van', 'Verzonden door'));	
		$fields->addFieldToTab('Root.Email', new TextField('Onderwerp', 'Onderwerp'));	
				
		
		return $fields;
	}
}

class AanmeldForm_Controller extends Page_Controller {
		 
    public static $allowed_actions = array(
        'Aanmelden', 'Email'
    );	
     
    // Template method
    public function Aanmelden() {
        return new AanmeldformulierGegevensForm($this, 'Email');
    }
	
	public function Email() {
        // Authenticate the user and redirect the user somewhere
        $From = "suzanneh@minkema.nl";
        $To = "suzanneh@minkema.nl";
        $Subject = "Aanmeldingsformulier";     
        $email = new AanmeldingMail($From, $To, $Subject);
        //set template
        $email->setTemplate('AanmeldingMail');
        //send mail
        $email->send();
        //return to submitted message
        Director::redirect($this->Link("?success=1"));

	}

}	